class cernbox::install {

  yumrepo{'cernbox':
    descr         => 'CERNBOX2.0 client repository (EOS backend)',
    baseurl       => "http://cernbox.cern.ch/cernbox/doc/Linux/repo/CentOS_${::operatingsystemmajrelease}",
    gpgcheck      => 1,
    gpgkey        => "http://cernbox.cern.ch/cernbox/doc/Linux/repo/CentOS_${::operatingsystemmajrelease}/repodata/repomd.xml.key",
    repo_gpgcheck => 0,
    enabled       => 1,
  }
  ->
  package { 'cernbox-client':
    ensure => present,
  }
}
